org.apache.ignite.internal.processors.cache.persistence.file

## Class FileUploader

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.FileUploader

    public class FileUploader
    extends Object

Part of direct node to node file downloading

### Constructor Summary

Constructors
Constructor and Description
`FileUploader(Path path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `upload(SocketChannel writeChannel, GridFutureAdapter<Long> finishFut)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUploader

    public FileUploader(Path path)

### Method Detail

#### upload

    public void upload(SocketChannel writeChannel,
                       GridFutureAdapter<Long> finishFut)

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018